## dolphin 25.04.3

=== src/CMakeLists.txt ===
include(ECMAddAppIcon)

set(ADMIN_WORKER_PACKAGE_NAME "kio-admin")
set(FILELIGHT_PACKAGE_NAME "filelight")

configure_file(config-dolphin.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-dolphin.h)

add_definitions(
    -DTRANSLATION_DOMAIN=\"dolphin\"
)
remove_definitions(
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_TO_ASCII
)

##########################################

add_library(dolphinvcs SHARED)

target_sources(dolphinvcs PRIVATE
    views/versioncontrol/kversioncontrolplugin.cpp
)

generate_export_header(dolphinvcs BASE_NAME dolphinvcs)

target_link_libraries(
    dolphinvcs PUBLIC
    Qt6::Widgets
)

set_target_properties(dolphinvcs PROPERTIES
    VERSION ${DOLPHINVCS_VERSION}
    SOVERSION ${DOLPHINVCS_SOVERSION}
    EXPORT_NAME DolphinVcs
)

ecm_generate_headers(dolphinvcs_LIB_HEADERS
    HEADER_NAMES
    KVersionControlPlugin

    RELATIVE "views/versioncontrol"
    REQUIRED_HEADERS dolphinvcs_LIB_HEADERS
)
target_include_directories(dolphinvcs INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}>")

install(TARGETS dolphinvcs EXPORT DolphinVcsTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/dolphinvcs_export.h DESTINATION ${KDE_INSTALL_INCLUDEDIR} COMPONENT Devel)
install(FILES ${dolphinvcs_LIB_HEADERS} DESTINATION "${KDE_INSTALL_INCLUDEDIR}/Dolphin" COMPONENT Devel)

########### next target ###############

add_library(dolphinprivate SHARED)

if(NOT QT_NO_ACCESSIBILITY)
    target_sources(dolphinprivate PRIVATE
        kitemviews/accessibility/kitemlistcontaineraccessible.cpp
        kitemviews/accessibility/kitemlistdelegateaccessible.cpp
        kitemviews/accessibility/kitemlistviewaccessible.cpp

        kitemviews/accessibility/kitemlistcontaineraccessible.h
        kitemviews/accessibility/kitemlistdelegateaccessible.h
        kitemviews/accessibility/kitemlistviewaccessible.h
    )
endif()

target_sources(dolphinprivate PRIVATE
    kitemviews/kfileitemlistview.cpp
    kitemviews/kfileitemlistwidget.cpp
    kitemviews/kfileitemlisttostring.cpp
    kitemviews/kfileitemmodel.cpp
    kitemviews/kfileitemmodelrolesupdater.cpp
    kitemviews/kitemlistcontainer.cpp
    kitemviews/kitemlistcontroller.cpp
    kitemviews/kitemlistgroupheader.cpp
    kitemviews/kitemlistheader.cpp
    kitemviews/kitemlistselectionmanager.cpp
    kitemviews/kitemliststyleoption.cpp
    kitemviews/kitemlistview.cpp
    kitemviews/kitemlistwidget.cpp
    kitemviews/kitemmodelbase.cpp
    kitemviews/kitemset.cpp
    kitemviews/kstandarditemlistgroupheader.cpp
    kitemviews/kstandarditemlistwidget.cpp
    kitemviews/kstandarditemlistview.cpp
    kitemviews/private/kdirectorycontentscounter.cpp
    kitemviews/private/kdirectorycontentscounterworker.cpp
    kitemviews/private/kfileitemclipboard.cpp
    kitemviews/private/kfileitemmodelfilter.cpp
    kitemviews/private/kitemlistheaderwidget.cpp
    kitemviews/private/kitemlistkeyboardsearchmanager.cpp
    kitemviews/private/kitemlistroleeditor.cpp
    kitemviews/private/kitemlistrubberband.cpp
    kitemviews/private/kitemlistselectiontoggle.cpp
    kitemviews/private/kitemlistsizehintresolver.cpp
    kitemviews/private/kitemlistsmoothscroller.cpp
    kitemviews/private/kitemlistviewanimation.cpp
    kitemviews/private/kitemlistviewlayouter.cpp
    kitemviews/private/kitemviewsutils.cpp
    kitemviews/private/kpixmapmodifier.cpp
    settings/applyviewpropsjob.cpp
    settings/viewmodes/viewmodesettings.cpp
    settings/viewpropertiesdialog.cpp
    settings/viewpropsprogressinfo.cpp
    selectionmode/actiontexthelper.cpp
    views/dolphinfileitemlistwidget.cpp
    views/dolphinitemlistview.cpp
    views/dolphinnewfilemenuobserver.cpp
    views/dolphinremoteencoding.cpp
    views/dolphinview.cpp
    views/dolphinviewactionhandler.cpp
    views/draganddrophelper.cpp
    views/versioncontrol/updateitemstatesthread.cpp
    views/versioncontrol/versioncontrolobserver.cpp
    views/viewmodecontroller.cpp
    views/viewproperties.cpp
    views/zoomlevelinfo.cpp
    dolphinremoveaction.cpp
    middleclickactioneventfilter.cpp
    dolphinnewfilemenu.cpp

    kitemviews/kfileitemlistview.h
    kitemviews/kfileitemlistwidget.h
    kitemviews/kfileitemlisttostring.h
    kitemviews/kfileitemmodel.h
    kitemviews/kfileitemmodelrolesupdater.h
    kitemviews/kitemlistcontainer.h
    kitemviews/kitemlistcontroller.h
    kitemviews/kitemlistgroupheader.h
    kitemviews/kitemlistheader.h
    kitemviews/kitemlistselectionmanager.h
    kitemviews/kitemliststyleoption.h
    kitemviews/kitemlistview.h
    kitemviews/kitemlistwidget.h
    kitemviews/kitemmodelbase.h
    kitemviews/kitemset.h
    kitemviews/kstandarditemlistgroupheader.h
    kitemviews/kstandarditemlistwidget.h
    kitemviews/kstandarditemlistview.h
    kitemviews/private/kdirectorycontentscounter.h
    kitemviews/private/kdirectorycontentscounterworker.h
    kitemviews/private/kfileitemclipboard.h
    kitemviews/private/kfileitemmodelfilter.h
    kitemviews/private/kitemlistheaderwidget.h
    kitemviews/private/kitemlistkeyboardsearchmanager.h
    kitemviews/private/kitemlistroleeditor.h
    kitemviews/private/kitemlistrubberband.h
    kitemviews/private/kitemlistselectiontoggle.h
    kitemviews/private/kitemlistsizehintresolver.h
    kitemviews/private/kitemlistsmoothscroller.h
    kitemviews/private/kitemlistviewanimation.h
    kitemviews/private/kitemlistviewlayouter.h
    kitemviews/private/kpixmapmodifier.h
    settings/applyviewpropsjob.h
    settings/viewmodes/viewmodesettings.h
    settings/viewpropertiesdialog.h
    settings/viewpropsprogressinfo.h
    selectionmode/actiontexthelper.h
    views/dolphinfileitemlistwidget.h
    views/dolphinitemlistview.h
    views/dolphinnewfilemenuobserver.h
    views/dolphinremoteencoding.h
    views/dolphinview.h
    views/dolphinviewactionhandler.h
    views/draganddrophelper.h
    views/versioncontrol/updateitemstatesthread.h
    views/versioncontrol/versioncontrolobserver.h
    views/viewmodecontroller.h
    views/viewproperties.h
    views/zoomlevelinfo.h
    dolphinremoveaction.h
    middleclickactioneventfilter.h
    dolphinnewfilemenu.h
)

ecm_qt_declare_logging_category(dolphinprivate
    HEADER dolphindebug.h
    IDENTIFIER DolphinDebug
    CATEGORY_NAME org.kde.dolphin
    DESCRIPTION "dolphin"
    EXPORT DOLPHIN
)

if(HAVE_BALOO)
    target_sources(dolphinprivate PRIVATE
        views/tooltips/dolphinfilemetadatawidget.cpp
        views/tooltips/tooltipmanager.cpp
        kitemviews/private/kbaloorolesprovider.cpp
        views/tooltips/dolphinfilemetadatawidget.h
        views/tooltips/tooltipmanager.h
        kitemviews/private/kbaloorolesprovider.h
    )
endif()

kconfig_add_kcfg_files(dolphinprivate
    settings/dolphin_compactmodesettings.kcfgc
    settings/dolphin_directoryviewpropertysettings.kcfgc
    settings/dolphin_detailsmodesettings.kcfgc
    settings/dolphin_iconsmodesettings.kcfgc
    settings/dolphin_contentdisplaysettings.kcfgc
    settings/dolphin_generalsettings.kcfgc
    settings/dolphin_contextmenusettings.kcfgc
    settings/dolphin_versioncontrolsettings.kcfgc
    GENERATE_MOC
)

generate_export_header(dolphinprivate BASE_NAME dolphin)

target_link_libraries(
    dolphinprivate PUBLIC
    dolphinvcs
    Qt6::Concurrent
    Qt6::DBus
    Qt6::Gui
    KF6::I18n
    KF6::GuiAddons
    KF6::IconThemes
    KF6::KIOCore
    KF6::KIOWidgets
    KF6::KIOFileWidgets
    KF6::Completion
    KF6::TextWidgets
    KF6::ConfigCore
    KF6::NewStuffWidgets    # KNSWidgets::Button
    KF6::Parts
    KF6::WindowSystem
    KF6::WidgetsAddons
    KF6::Codecs
    KF6::KCMUtils
    KF6::FileMetaData

    ${FTS_LIB}
)

if(HAVE_BALOO)
    target_link_libraries(
        dolphinprivate PUBLIC
        KF6::Baloo
        KF6::BalooWidgets
    )
endif()

set_target_properties(dolphinprivate PROPERTIES
    VERSION ${DOLPHINPRIVATE_VERSION}
    SOVERSION ${DOLPHINPRIVATE_SOVERSION}
)

install(TARGETS dolphinprivate ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/dolphin_export.h DESTINATION ${KDE_INSTALL_INCLUDEDIR} COMPONENT Devel)

##########################################
configure_file(dolphinpart.json.in ${CMAKE_CURRENT_BINARY_DIR}/dolphinpart.json @ONLY)

add_library(dolphinpart MODULE)

target_sources(dolphinpart PRIVATE
    dolphinpart.cpp
    dolphinpart_ext.cpp
    dolphindebug.cpp
    dolphinpart.h
    dolphinpart_ext.h
    dolphindebug.h

    dolphinpart.qrc
)

target_link_libraries(dolphinpart
    dolphinprivate
)

install(TARGETS dolphinpart DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/parts)
install(FILES dolphinpartactions.desktop DESTINATION "${KDE_INSTALL_DATADIR}/dolphin/")

##########################################

add_library(dolphinstatic STATIC)

target_sources(dolphinstatic PRIVATE
    admin/bar.cpp
    admin/workerintegration.cpp
    animatedheightwidget.cpp
    disabledactionnotifier.cpp
    dolphinbookmarkhandler.cpp
    dolphindockwidget.cpp
    dolphinmainwindow.cpp
    dolphinviewcontainer.cpp
    dolphincontextmenu.cpp
    dolphinnavigatorswidgetaction.cpp
    dolphintabbar.cpp
    dolphinpackageinstaller.cpp
    dolphinplacesmodelsingleton.cpp
    dolphinrecenttabsmenu.cpp
    dolphintabpage.cpp
    dolphintabwidget.cpp
    dolphinurlnavigator.cpp
    dolphinurlnavigatorscontroller.cpp
    trash/dolphintrash.cpp
    filterbar/filterbar.cpp
    kitemviews/kfileitemlisttostring.cpp
    panels/places/placespanel.cpp
    panels/panel.cpp
    panels/folders/foldersitemlistwidget.cpp
    panels/folders/treeviewcontextmenu.cpp
    panels/folders/folderspanel.cpp
    panels/terminal/terminalpanel.cpp
    search/dolphinfacetswidget.cpp
    search/dolphinquery.cpp
    search/dolphinsearchbox.cpp
    selectionmode/actiontexthelper.cpp
    selectionmode/actionwithwidget.cpp
    selectionmode/backgroundcolorhelper.cpp
    selectionmode/bottombar.cpp
    selectionmode/bottombarcontentscontainer.cpp
    selectionmode/topbar.cpp
    settings/interface/folderstabssettingspage.cpp
    settings/interface/statusandlocationbarssettingspage.cpp
    settings/interface/confirmationssettingspage.cpp
    settings/interface/interfacesettingspage.cpp
    settings/interface/previewssettingspage.cpp
    settings/dolphinsettingsdialog.cpp
    settings/contextmenu/contextmenusettingspage.cpp
    settings/settingspagebase.cpp
    settings/servicemodel.cpp
    settings/trash/trashsettingspage.cpp
    settings/viewmodes/dolphinfontrequester.cpp
    settings/viewmodes/viewsettingspage.cpp
    settings/viewmodes/viewmodesettings.cpp
    settings/viewmodes/viewsettingstab.cpp
    settings/viewmodes/contentdisplaytab.cpp
    settings/viewmodes/generalviewsettingspage.cpp
    statusbar/dolphinstatusbar.cpp
    statusbar/mountpointobserver.cpp
    statusbar/mountpointobservercache.cpp
    statusbar/spaceinfoobserver.cpp
    statusbar/statusbarspaceinfo.cpp
    views/zoomlevelinfo.cpp
    dolphindebug.cpp
    global.cpp
    dolphin.qrc

    admin/bar.h
    admin/workerintegration.h
    animatedheightwidget.h
    dolphinbookmarkhandler.h
    dolphindockwidget.h
    dolphinmainwindow.h
    dolphinviewcontainer.h
    dolphincontextmenu.h
    dolphinnavigatorswidgetaction.h
    dolphintabbar.h
    dolphinpackageinstaller.h
    dolphinplacesmodelsingleton.h
    dolphinrecenttabsmenu.h
    dolphintabpage.h
    dolphintabwidget.h
    dolphinurlnavigator.h
    dolphinurlnavigatorscontroller.h
    trash/dolphintrash.h
    filterbar/filterbar.h
    kitemviews/kfileitemlisttostring.h
    panels/places/placespanel.h
    panels/panel.h
    panels/folders/foldersitemlistwidget.h
    panels/folders/treeviewcontextmenu.h
    panels/folders/folderspanel.h
    panels/terminal/terminalpanel.h
    search/dolphinfacetswidget.h
    search/dolphinquery.h
    search/dolphinsearchbox.h
    selectionmode/actiontexthelper.h
    selectionmode/actionwithwidget.h
    selectionmode/backgroundcolorhelper.h
    selectionmode/bottombar.h
