=== debian/changelog ===
dolphin (4:25.04.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.3).
    - Viewproperties: Fix leaking file descriptors. (kde#505215)
  * Refresh patches.
  * Backport upstream commit:
    - KFileItemListWidget: wrong selection when renamed file ends with a dot.
    [1e5bc5b3]
    - Fix multi-file selection does not work when Dolphin is opened with a
    pre-selected file. [b64bf8ca] (kde#503221)
    - Ensure view is reset only actually showing paths or subpaths from the
    unmounted location.  [3e4d9ca1]
    - Fix dolphin not reporting I/O errors when copying multiple files.
    [6dd55251, c4ffe88c] (kde#506282)

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 23 Jul 2025 08:19:05 +0200
