## dolphin 25.07.80

=== debian/changelog ===
dolphin (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * Update patches.
  * Build depend on qt6-multimedia-dev
  * Update install files.
  * Drop phonon build depends.

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:02:24 +0100

dolphin (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)
  * Refresh relax-baloo-widgets-version.patch

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:35:28 +0100

dolphin (4:25.04.2-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Disable acc test.
    - Build depend on libbaloowidgets-dev (>= 4:25.04.2~)

 -- Rik Mills <rikmills@kde.org>  Sat, 07 Jun 2025 11:19:11 +0100

dolphin (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:37:08 +0100

dolphin (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:00:10 +0100

dolphin (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * Install files for new kconf update.

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:40:58 +0100
