=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: dolphin
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.9.0~),
                gettext,
-               libbaloowidgets-dev (>= 4:25.03.90~),
+               libbaloowidgets-dev (>= 4:25.07.80~),
                libkf6baloo-dev (>= 6.9.0~) [!hurd-any],
                libkf6bookmarks-dev (>= 6.9.0~),
                libkf6codecs-dev (>= 6.9.0~),
@@ -33,17 +34,16 @@
                libkf6widgetsaddons-dev (>= 6.9.0~),
                libkf6windowsystem-dev (>= 6.9.0~),
                libpackagekitqt6-dev,
-               libphonon4qt6-dev,
-               libphonon4qt6experimental-dev,
                libplasmaactivities-dev,
                pkgconf,
                qt6-base-dev (>= 6.4.0~),
                qt6-base-private-dev,
+               qt6-multimedia-dev,
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/dolphin/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/dolphin
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/dolphin.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin
 
 Package: dolphin
 Section: utils
