=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.9.0~),
                gettext,
-               libbaloowidgets-dev (>= 4:25.07.80~),
+               libbaloowidgets-dev (>= 4:25.07.90~),
                libkf6baloo-dev (>= 6.9.0~) [!hurd-any],
                libkf6bookmarks-dev (>= 6.9.0~),
                libkf6codecs-dev (>= 6.9.0~),
