## dolphin 25.08.0

=== debian/changelog ===
dolphin (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)
  * Refresh patches.

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:48:27 +0100
