## dolphin 25.08.1+p24.04+vstable+git20250926.2350

=== debian/changelog ===
dolphin (4:25.08.1+p24.04+vstable+git20250926.2350-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 23:51:02 +0000
