=== src/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 set(ADMIN_WORKER_PACKAGE_NAME "kio-admin")
 set(FILELIGHT_PACKAGE_NAME "filelight")
+set(KFIND_PACKAGE_NAME "kfind")
 
 configure_file(config-dolphin.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-dolphin.h)
 
@@ -116,6 +117,7 @@
     views/viewmodecontroller.cpp
     views/viewproperties.cpp
     views/zoomlevelinfo.cpp
+    views/zoomwidgetaction.cpp
     dolphinremoveaction.cpp
     middleclickactioneventfilter.cpp
     dolphinnewfilemenu.cpp
@@ -169,6 +171,7 @@
     views/viewmodecontroller.h
     views/viewproperties.h
     views/zoomlevelinfo.h
+    views/zoomwidgetaction.h
     dolphinremoveaction.h
     middleclickactioneventfilter.h
     dolphinnewfilemenu.h
@@ -229,6 +232,7 @@
     KF6::Codecs
     KF6::KCMUtils
     KF6::FileMetaData
+    KF6::ColorScheme
 
     ${FTS_LIB}
 )
@@ -304,9 +308,16 @@
     panels/folders/treeviewcontextmenu.cpp
     panels/folders/folderspanel.cpp
     panels/terminal/terminalpanel.cpp
-    search/dolphinfacetswidget.cpp
+    search/bar.cpp
+    search/barsecondrowflowlayout.cpp
+    search/chip.cpp
     search/dolphinquery.cpp
-    search/dolphinsearchbox.cpp
+    search/popup.cpp
+    search/selectors/dateselector.cpp
+    search/selectors/filetypeselector.cpp
+    search/selectors/minimumratingselector.cpp
+    search/selectors/tagsselector.cpp
+    search/widgetmenu.cpp
     selectionmode/actiontexthelper.cpp
     selectionmode/actionwithwidget.cpp
     selectionmode/backgroundcolorhelper.cpp
@@ -329,6 +340,7 @@
     settings/viewmodes/viewsettingstab.cpp
     settings/viewmodes/contentdisplaytab.cpp
     settings/viewmodes/generalviewsettingspage.cpp
+    statusbar/diskspaceusagemenu.cpp
     statusbar/dolphinstatusbar.cpp
     statusbar/mountpointobserver.cpp
     statusbar/mountpointobservercache.cpp
@@ -362,13 +374,3 @@
     panels/places/placespanel.h
     panels/panel.h
     panels/folders/foldersitemlistwidget.h
-    panels/folders/treeviewcontextmenu.h
-    panels/folders/folderspanel.h
-    panels/terminal/terminalpanel.h
-    search/dolphinfacetswidget.h
-    search/dolphinquery.h
-    search/dolphinsearchbox.h
-    selectionmode/actiontexthelper.h
-    selectionmode/actionwithwidget.h
-    selectionmode/backgroundcolorhelper.h
-    selectionmode/bottombar.h
