## dolphin 25.08.2+p24.04+vstable+git20251011.1312

=== debian/changelog ===
dolphin (4:25.08.2+p24.04+vstable+git20251011.1312-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 13:12:36 +0000

dolphin (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 04:00:12 +0000
