=== debian/control ===
Source: dolphin
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-baloo-dev,
               kf6-baloowidgets-dev,
               kf6-extra-cmake-modules,
               kf6-kbookmarks-dev,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdoctools-dev,
               kf6-kfilemetadata-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-knewstuff-dev,
               kf6-knotifications-dev,
               kf6-kparts-dev,
               kf6-ktextwidgets-dev,
               kf6-kuserfeedback-dev,
               kf6-kwindowsystem-dev,
               kf6-solid-dev,
               libpackagekitqt6-dev,
               pkg-kde-tools-neon,
               pkgconf,
               plasma-activities-dev,
               qt6-base-dev,
               qt6-multimedia-dev,
               qt6-phonon-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/dolphin.git
Vcs-Browser: https://invent.kde.org/neon/kde/dolphin
Maintainer: Neon CI <neon@kde.org>

Package: dolphin
Section: utils
Architecture: any
Depends: kf6-baloo, ${misc:Depends}, ${shlibs:Depends}
Recommends: kf6-baloowidgets, kf6-kimageformat-plugins, kio-extras, ruby
Suggests: dolphin-plugins
Description: file manager
 Dolphin is the default file manager in the Plasma, intended
 to be both powerful and easy to use.
 .
 Features include:
   Customisable sidebars
   "Breadcrumb" navigation
   View properties remembered for each folder
   Split views
   Network transparency
   Undo/redo functionality
   Ratings, comments, and tags

Package: dolphin-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: file manager - development files
 Contains DBus interface XML files to access dolphin via the DBus
 org.freedesktop.FileManager1 interface.

Package: libdolphinvcs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: kf6-kio-dev,
         libdolphinvcs6 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends}
Description: library to show version control in Dolphin - development files
 This library enables developers to expand Dolphin with the ability to show
 version control status in directories that are version controlled.

Package: libdolphinvcs6
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library to show version control in Dolphin
 This library enables developers to expand Dolphin with the ability to show
 version control status in directories that are version controlled.
