=== debian/tests/control ===
Tests: testsuite
Depends: build-essential,
         dbus,
         kinit,
         xauth,
         xserver-xephyr,
         xvfb,
         @,
         @builddeps@
Restrictions: build-needed

Tests: acc
Depends: dh-acc, exuberant-ctags, @
Restrictions: allow-stderr
