=== debian/changelog ===
dolphin (4:25.08.2+p24.04+vstable+git20251024.0303-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 03:03:11 +0000
