## dolphin 25.08.2+p24.04+vstable+git20251031.0858

=== debian/changelog ===
dolphin (4:25.08.2+p24.04+vstable+git20251031.0858-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 08:58:18 +0000
